
Foreman - Refactor #3597

Test: Remove rr gem

11/06/2013 02:16 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Tests   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The rr gem conflicts with mocha and is causing problems with mocking in Katello.

Associated revisions

Revision 390e2281 - 11/06/2013 06:17 PM - David Davis

fixes #3597 - removing rr gem, make tests consistent by using just mocha

Revision 46543047 - 11/11/2015 06:08 AM - Dominic Cleal

refs #3597 - remove rr, unused package

History

#1 - 11/06/2013 06:00 PM - Dominic Cleal

- Tracker changed from Bug to Refactor

- Category set to Tests

- Status changed from New to Ready For Testing

- Target version set to 1.15.0

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1005

#2 - 11/06/2013 06:31 PM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 390e2281a711c94a5e39baaaea2c81306be9806e.
